=== debian/control ===
Source: papers
Section: gnome
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Amin Bandali <bandali@ubuntu.com>,
           Arnaud Ferraris <aferraris@debian.org>,
           Jeremy Bícha <jbicha@ubuntu.com>,
           Laurent Bigonville <bigon@debian.org>,
           Marco Trevisan (Treviño) <marco@ubuntu.com>,
Build-Depends: appstream <!nocheck>,
               debhelper-compat (= 13),
               desktop-file-utils,
               dh-apparmor,
               dh-cargo,
               dh-sequence-gir,
               gobject-introspection (>= 1.0),
               gsettings-desktop-schemas-dev,
               gi-docgen (>= 2021.1) <!nodoc>,
               gir1.2-gdk-4.0-dev,
               gir1.2-gdkpixbuf-2.0-dev,
               gir1.2-gio-2.0-dev,
               gir1.2-gobject-2.0-dev,
               gir1.2-gtk-4.0-dev,
               gir-rust-code-generator,
               itstool,
               libadwaita-1-dev (>= 1.6.0),
               libarchive-dev (>= 3.6.0),
               libcairo2-dev (>= 1.14.0),
               libdjvulibre-dev (>= 2.0),
               libexempi-dev (>= 2.0),
               libgdk-pixbuf-2.0-dev (>= 2.40),
               libgirepository1.0-dev (>= 1.0),
               libglib2.0-dev (>= 2.75),
               libgtk-4-dev (>= 4.15.2),
               libnautilus-extension-dev (>= 43),
               libpoppler-glib-dev (>= 23.07.0),
               librust-bitflags-2-dev,
               librust-env-logger-0.11-dev,
               librust-futures-0.3-dev,
               librust-gettext-rs-0.7+gettext-system-dev,
               librust-glib-0.20+v2-68-dev,
               librust-gtk4-0.9+v4-12-dev,
               librust-libadwaita-0.7+v1-5-dev,
               librust-libc-0.2-dev,
               librust-log-0.4-dev,
               librust-lru-0.12-dev,
               librust-oo7-0.3-dev,
               librust-shell-words-1-dev,
               librust-system-deps-7-dev,
               librust-tempfile-3-dev <!nocheck>,
               libtiff-dev (>= 4),
               meson (>= 0.59.0),
               rustfmt,
               xmlstarlet,
               zlib1g-dev
Rules-Requires-Root: no
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/gnome-team/papers
Vcs-Git: https://salsa.debian.org/gnome-team/papers.git
Homepage: https://apps.gnome.org/Papers/

Package: papers
Architecture: any
Depends: papers-common (>= ${source:Version}),
         gsettings-desktop-schemas,
         libppsdocument-4.0-5 (= ${binary:Version}),
         libppsview-4.0-4 (= ${binary:Version}),
         shared-mime-info,
         ${misc:Depends},
         ${shlibs:Depends}
Provides: djvu-viewer,
          pdf-viewer,
          postscript-viewer
Suggests: gvfs,
          nautilus-sendto,
          poppler-data,
          unrar
Enhances: nautilus
Description: Document (PostScript, PDF) viewer
 Papers is a simple multi-page document viewer. It can display and print
 Comic Books archives (CBR, CBT, CBZ, CB7), DjVu, Portable Document
 Format (PDF) and TIFF files. When supported by the document, it also
 allows searching for text, copying text to the clipboard, hypertext
 navigation, and table-of-contents bookmarks.

Package: papers-common
Architecture: all
Depends: ${misc:Depends}
Description: Document (PostScript, PDF) viewer - common files
 Papers is a simple multi-page document viewer. It can display and print
 Comic Books archives (CBR, CBT, CBZ, CB7), DjVu, Portable Document
 Format (PDF) and TIFF files. When supported by the document, it also
 allows searching for text, copying text to the clipboard, hypertext
 navigation, and table-of-contents bookmarks.
 .
 This package contains architecture-independent files for papers.

Package: libppsdocument-4.0-5
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Document (Comic Books, DjVu, PDF) rendering library
 This package contains libppsdocument, which performs the rendering of the
 documents.
 .
 It ships with a pdf, tiff, djvu, and comics backend.

Package: libppsview-4.0-4
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: Document (Comic Books, DjVu, PDF) rendering library - Gtk+ widgets
 This package contains libppsview, which provides GTK+ widgets for displaying
 documents.

Package: libpapers-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: ${gir:Depends},
         libadwaita-1-dev,
         libppsdocument-4.0-5 (= ${binary:Version}),
         libppsview-4.0-4 (= ${binary:Version}),
         ${misc:Depends},
Provides: ${gir:Provides},
Description: Document (Comic Books, DjVu, PDF) rendering library - development files
 This package contains papers-related libraries for rendering and displaying
 Papers documents like Comic Books archives (CBR, CBT, CBZ, CB7), DjVu,
 Portable Document Format (PDF) and TIFF files.
 * libppsdocument, which performs the rendering of the documents
 * libppsview, which provides GTK+ widgets for displaying documents
 .
 This package provides the development files.

Package: libpapers-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Build-Profiles: <!nodoc>
Suggests: devhelp
Description: Document (Comic Books, DjVu, PDF) rendering library - documentation
 This package contains papers-related libraries for rendering and displaying
 Papers documents like Comic Books archives (CBR, CBT, CBZ, CB7), DjVu,
 Portable Document Format (PDF) and TIFF files.
 * libppsdocument, which performs the rendering of the documents
 * libppsview, which provides GTK+ widgets for displaying documents
 .
 This package provides the developers' documentation.

Package: gir1.2-papers-4.0
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends},
         ${misc:Depends},
Provides: ${gir:Provides},
Description: GObject introspection data for the papers libraries
 Papers is a simple multi-page document viewer. It can display and print
 Comic Books archives (CBR, CBT, CBZ, CB7), DjVu, Portable Document
 Format (PDF) and TIFF files. When supported by the document, it also
 allows searching for text, copying text to the clipboard, hypertext
 navigation, and table-of-contents bookmarks.
 .
 This package contains introspection data for the libppsview and
 libppsdocument libraries. It can be used by packages using the
 GIRepository format to generate dynamic bindings.
