=== debian/watch ===
version=4
opts="searchmode=plain, uversionmangle=s/\.(alpha|beta|rc)/~$1/" \
https://gitlab.gnome.org/GNOME/Incubator/@PACKAGE@/-/tags?sort=updated_desc \
	/GNOME/Incubator/@PACKAGE@/-/archive/[\d\.]+/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
