## papers 48~beta

=== debian/changelog ===
papers (48~beta-3) unstable; urgency=medium

  [ Arnaud Ferraris ]
  * debian: add salsa-ci.yml

  [ Jeremy Bícha ]
  * Run wrap-and-sort
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 12 Feb 2025 21:06:33 -0500

papers (48~beta-2) experimental; urgency=medium

  * Remove mention of PostScript from the package description
  * Upload to experimental

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 07 Feb 2025 07:18:58 -0500

papers (48~beta-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum GTK4 & poppler
  * Add Build-Depends: libspelling-1-dev
  * Update symbols files
  * Add patch to lower poppler dependency to Debian's patched version
  * Remove disable appstream patch: no longer needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 06 Feb 2025 23:57:56 -0500
