=== debian/control ===
--- 
+++ 
@@ -2,26 +2,25 @@
 Section: gnome
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Amin Bandali <bandali@ubuntu.com>,
-           Arnaud Ferraris <aferraris@debian.org>,
+Uploaders: Arnaud Ferraris <aferraris@debian.org>,
            Jeremy Bícha <jbicha@ubuntu.com>,
            Laurent Bigonville <bigon@debian.org>,
-           Marco Trevisan (Treviño) <marco@ubuntu.com>,
-Build-Depends: appstream <!nocheck>,
-               debhelper-compat (= 13),
-               desktop-file-utils,
+           Marco Trevisan (Treviño) <marco@ubuntu.com>
+Build-Depends: debhelper-compat (= 13),
                dh-apparmor,
                dh-cargo,
                dh-sequence-gir,
-               gobject-introspection (>= 1.0),
-               gsettings-desktop-schemas-dev,
+               appstream,
+               desktop-file-utils,
                gi-docgen (>= 2021.1) <!nodoc>,
+               gir-rust-code-generator,
                gir1.2-gdk-4.0-dev,
                gir1.2-gdkpixbuf-2.0-dev,
                gir1.2-gio-2.0-dev,
                gir1.2-gobject-2.0-dev,
                gir1.2-gtk-4.0-dev,
-               gir-rust-code-generator,
+               gobject-introspection (>= 1.0),
+               gsettings-desktop-schemas-dev,
                itstool,
                libadwaita-1-dev (>= 1.6.0),
                libarchive-dev (>= 3.6.0),
@@ -31,9 +30,9 @@
                libgdk-pixbuf-2.0-dev (>= 2.40),
                libgirepository1.0-dev (>= 1.0),
                libglib2.0-dev (>= 2.75),
-               libgtk-4-dev (>= 4.15.2),
+               libgtk-4-dev (>= 4.17.1),
                libnautilus-extension-dev (>= 43),
-               libpoppler-glib-dev (>= 23.07.0),
+               libpoppler-glib-dev (>= 25.01.0-4~),
                librust-bitflags-2-dev,
                librust-env-logger-0.11-dev,
                librust-futures-0.3-dev,
@@ -48,6 +47,7 @@
                librust-shell-words-1-dev,
                librust-system-deps-7-dev,
                librust-tempfile-3-dev <!nocheck>,
+               libspelling-1-dev,
                libtiff-dev (>= 4),
                meson (>= 0.59.0),
                rustfmt,
@@ -61,22 +61,17 @@
 
 Package: papers
 Architecture: any
-Depends: papers-common (>= ${source:Version}),
-         gsettings-desktop-schemas,
+Depends: gsettings-desktop-schemas,
          libppsdocument-4.0-5 (= ${binary:Version}),
          libppsview-4.0-4 (= ${binary:Version}),
+         papers-common (>= ${source:Version}),
          shared-mime-info,
          ${misc:Depends},
          ${shlibs:Depends}
-Provides: djvu-viewer,
-          pdf-viewer,
-          postscript-viewer
-Suggests: gvfs,
-          nautilus-sendto,
-          poppler-data,
-          unrar
+Provides: djvu-viewer, pdf-viewer
+Suggests: gvfs, nautilus-sendto, poppler-data, unrar
 Enhances: nautilus
-Description: Document (PostScript, PDF) viewer
+Description: PDF document viewer for GNOME
  Papers is a simple multi-page document viewer. It can display and print
  Comic Books archives (CBR, CBT, CBZ, CB7), DjVu, Portable Document
  Format (PDF) and TIFF files. When supported by the document, it also
@@ -86,7 +81,7 @@
 Package: papers-common
 Architecture: all
 Depends: ${misc:Depends}
-Description: Document (PostScript, PDF) viewer - common files
+Description: PDF document viewer for GNOME - common files
  Papers is a simple multi-page document viewer. It can display and print
  Comic Books archives (CBR, CBT, CBZ, CB7), DjVu, Portable Document
  Format (PDF) and TIFF files. When supported by the document, it also
@@ -99,8 +94,7 @@
 Architecture: any
 Multi-Arch: same
 Section: libs
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Document (Comic Books, DjVu, PDF) rendering library
  This package contains libppsdocument, which performs the rendering of the
  documents.
@@ -111,28 +105,27 @@
 Architecture: any
 Multi-Arch: same
 Section: libs
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
-Description: Document (Comic Books, DjVu, PDF) rendering library - Gtk+ widgets
- This package contains libppsview, which provides GTK+ widgets for displaying
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Description: Document (Comic Books, DjVu, PDF) rendering library - GTK widgets
+ This package contains libppsview, which provides GTK widgets for displaying
  documents.
 
 Package: libpapers-dev
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: ${gir:Depends},
-         libadwaita-1-dev,
+Depends: libadwaita-1-dev,
          libppsdocument-4.0-5 (= ${binary:Version}),
          libppsview-4.0-4 (= ${binary:Version}),
-         ${misc:Depends},
-Provides: ${gir:Provides},
+         ${gir:Depends},
+         ${misc:Depends}
+Provides: ${gir:Provides}
 Description: Document (Comic Books, DjVu, PDF) rendering library - development files
  This package contains papers-related libraries for rendering and displaying
  Papers documents like Comic Books archives (CBR, CBT, CBZ, CB7), DjVu,
  Portable Document Format (PDF) and TIFF files.
  * libppsdocument, which performs the rendering of the documents
- * libppsview, which provides GTK+ widgets for displaying documents
+ * libppsview, which provides GTK widgets for displaying documents
  .
  This package provides the development files.
 
@@ -148,7 +141,7 @@
  Papers documents like Comic Books archives (CBR, CBT, CBZ, CB7), DjVu,
  Portable Document Format (PDF) and TIFF files.
  * libppsdocument, which performs the rendering of the documents
- * libppsview, which provides GTK+ widgets for displaying documents
+ * libppsview, which provides GTK widgets for displaying documents
  .
  This package provides the developers' documentation.
 
@@ -156,9 +149,8 @@
 Section: introspection
 Architecture: any
 Multi-Arch: same
-Depends: ${gir:Depends},
-         ${misc:Depends},
-Provides: ${gir:Provides},
+Depends: ${gir:Depends}, ${misc:Depends}
+Provides: ${gir:Provides}
 Description: GObject introspection data for the papers libraries
  Papers is a simple multi-page document viewer. It can display and print
  Comic Books archives (CBR, CBT, CBZ, CB7), DjVu, Portable Document
