## papers 48.0

=== debian/changelog ===
papers (48.0-1ubuntu1.25.10.1) questing; urgency=medium

  * Fix Nautilus crash when inspecting properties of a comics file
    (LP: #2129791)

 -- Alessandro Astone <alessandro.astone@canonical.com>  Fri, 31 Oct 2025 18:06:34 +0100

papers (48.0-1ubuntu1) plucky; urgency=medium

  * Merge with Debian. Remaining changes:
    - Branch for Ubuntu
    - Add Build-Depends: dh-sequence-translations
    - Add debian/.gitignore to avoid static libraries
    - Add patch to build with vendored crates
    - Disable patches unneeded by Ubuntu build
    - Vendor Rust crate build dependencies into debian/missing-sources/
      as required by current Ubuntu MIR policy
    - Update debian/source/include-binaries
    - Update XS-Vendored-Sources-Rust field
    - Simplify debian/rules
  * Update vendored Rust crates etc.
  * Update debian/README.source to mention cargo-vendor-filterer

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Mar 2025 15:49:50 -0400

papers (48.0-1) unstable; urgency=high

  [ Jeremy Bícha ]
  * New upstream release
  * Temporarily disable gir re-generation to bypass #1100054
  * Bump minimum poppler to 25.03
  * debian/*.symbols: Update
  * Remove unused lintian overrides
  * Update debian/copyright
  * Add patch to relax Rust dependencies to versions currently in Debian
  * Remove patch that attempted to lower poppler dependency
  * Update AppArmor syntax from #include to include

  [ Arnaud Ferraris ]
  * apparmor: Add mesa abstractions (Closes: #1098717)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 21 Mar 2025 15:42:50 -0400

papers (48~beta-3ubuntu4) plucky; urgency=medium

  * debian/control.in: Build-Depend on dh-sequence-translations

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 21 Mar 2025 15:46:09 +0100

papers (48~beta-3ubuntu3) plucky; urgency=medium

  * Add patch to change display name to Document Viewer.
    GNOME will make this change when they switch their default PDF app
    from Evince. Since we are switching early, let's change this now.

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 13 Mar 2025 18:36:13 -0400

papers (48~beta-3ubuntu2) plucky; urgency=medium

  * Disable Build-Depends unneeded for Ubuntu's build

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 20 Feb 2025 11:29:01 -0500

papers (48~beta-3ubuntu1) plucky; urgency=medium

  * Branch for Ubuntu
  * Add debian/.gitignore to avoid static libraries
  * Add patch to build with vendored crates
  * Disable patch unneeded by Ubuntu build
  * Vendor Rust crate build dependencies into debian/missing-sources/
    as required by current Ubuntu MIR policy
  * Update debian/source/include-binaries
  * Update XS-Vendored-Sources-Rust field
  * Simplify debian/rules
  * Update debian/copyright
  * Remove unused lintian overrides

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 18 Feb 2025 22:48:40 -0500
