=== debian/tests/control ===
Tests: libpapers-dev
Depends: build-essential, dbus, libpapers-dev, xauth, xvfb
Restrictions: allow-stderr superficial
