## papers 48.2

=== debian/changelog ===
papers (48.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 26 Apr 2025 10:06:02 -0400

papers (48.1-1) unstable; urgency=medium

  * New upstream release
  * Add Build-Depends: dh-sequence-gnome
  * Salsa CI: stop disabling reproducibility check

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 18 Apr 2025 09:42:35 -0400

papers (48.0-2) unstable; urgency=medium

  * Re-enable gir regeneration

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 25 Mar 2025 16:40:30 -0400
